<?php
/**
 * @package   Essentials YOOtheme Pro 2.2.16 build 0813.1608
 * @author    ZOOlanders https://www.zoolanders.com
 * @copyright Copyright (C) Joolanders, SL
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

use YOOtheme\Arr;
use ZOOlanders\YOOessentials\Layout\LayoutManager;
use ZOOlanders\YOOessentials\Util;

return [
    'config' => [
        // Remove duplicated libraries
        '2.2.12' => function ($config) {
            $libraries = Arr::get($config, LayoutManager::LIBRARIES_CONFIG_KEY, []);

            $libraries = Util\Arr::removeDuplicates($libraries);

            Arr::set($config, LayoutManager::LIBRARIES_CONFIG_KEY, $libraries);

            return $config;
        },
    ],
];
